Page MenuHomePhabricator

Incorrect links to "previous 200" page in category listing
Closed, ResolvedPublic

Description

When browsing a category with over 400 pages backwards (from "next" page to "previous") incorrect link to previous page appears. In effect some pages are ommited inlistings.

Testcase:

  • When you see pages: Page401 to Page600, click "previous 200"

(pageuntil should should be set to the first element of current page, not the previos one)

  • If you click the "previous 200" link, you see links to Page001 to Page199. the Page200 is omitted.

The "pageuntil=" parameter in a link seems to be the source of the problem. This effect appears on pages generated in backward browsing by clicking the "previous 200" link, when the "pageuntil=" parameter is used. On any wiki. A category must contain at least 401 pages to observe this effect.


Version: 1.20.x
Severity: normal

Details

Reference
bz36964

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 12:22 AM
bzimport added a project: MediaWiki-Categories.
bzimport set Reference to bz36964.
bzimport added a subscriber: Unknown Object (MLST).
Ankry created this task.May 18 2012, 8:34 PM

Can't reproduce.
Maybe it's fixed now.
Can someone confirm and close this ?

Ankry added a comment.Jul 14 2014, 8:34 AM

(In reply to Rohan Rawat from comment #1)

Can't reproduce.
Maybe it's fixed now.
Can someone confirm and close this ?

Not fixed. I still can reproduce the above example. More detailed description:

  1. Open http://test.wikipedia.org/w/index.php?title=Category:Category_with_many_files : you will see page001 - page200 (it is OK)
  1. Click "next 200": you will see page201 - page399 (it is still OK)
  1. Click "next 200": you will see page401 and few next (it is still OK)
  1. Click "previous 200": you will see page201 - page399 (it is still OK, but now the "previous 200" link is broken)
  1. Click "previous 200": you will see page001 - page199 (it is *NOT* OK)

Page200 seem to be lost between step 4. and 5.

Link "previous 200" on a page you received via clicking "previous 200" on another page seems to be broken.

(In reply to Rohan Rawat from comment #1)

Can't reproduce.
Maybe it's fixed now.

If you "cannot reproduce" somewhere in some way, please provide your exact steps. Otherwise everybody can just guess if you tested something different.

Change 146067 had a related patch set uploaded by Rohan013:
Fix incorrect "previous 200" link in category listings

https://gerrit.wikimedia.org/r/146067

Change 146067 merged by jenkins-bot:
Fix off-by-one error in the "previous 200" link in category listings with until=param

https://gerrit.wikimedia.org/r/146067